Forum: Ruby on Rails Undefined method `cache_template_extension' - Not finding how to fix that

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
1e08d48f2c4011e254f34dfb457811df?d=identicon&s=25 Felipe Lopes (Guest)
on 2009-04-12 20:36
(Received via mailing list)
Hello I upgraded my rails to the version 2.3.2, but after restarting
my server, this error happened,

I researched in some threads and discovered that
cache_template_extensions is deprecated, but i couldn't find it in
anyway in my

code, please, can you help me to fix this issue???

Thank you.

=> Booting Mongrel
=> Rails 2.3.2 application starting on http://0.0.0.0:3000
C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/initializer.rb:
580:in `send
': undefined method `cache_template_extensions=' for
ActionView::Base:Class (NoM
ethodError)
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:580:in `initialize_framework_settings'
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:579:in `each'
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:579:in `initialize_framework_settings'
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:576:in `each'
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:576:in `initialize_framework_settings'
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:155:in `process'
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:113:in `send'
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
initializer.rb
:113:in `run'
         ... 6 levels...
        from C:/Rails/ruby/lib/ruby/gems/1.8/gems/rails-2.3.2/lib/
commands/serve
r.rb:84
        from C:/Rails/ruby/lib/ruby/site_ruby/1.8/rubygems/
custom_require.rb:27:
in `gem_original_require'
        from C:/Rails/ruby/lib/ruby/site_ruby/1.8/rubygems/
custom_require.rb:27:
in `require'
        from script/server:3
This topic is locked and can not be replied to.